Subject: Re: 1.5.2-1 file truncated
From: Jan Nieuwenhuizen <[email-masked]>
To: "Robert McNulty Junior" <[email-masked]>
Cc: <[email-masked]>
Date: 09 Aug 2003 16:52:49 +0200

"Robert McNulty Junior" <[email-masked]> writes:

> Timidity is a midi player.
> Up until now, I've not had any problems compiling it or other source code.
> 
> I compiled the cygwin version of bash with no problems.
> The linking part with the original cygwin version of ld
> gives the following error.
> I'm not sure what's causing it.
> Heres a snapshot of the screen where it fails.
> Mind you, this is on code that worked fine up 1.5.1-1.

Same with tetex-bin;

> ls/libutils.a  -lX11 -lm       -lwinmm

> /usr/lib/gcc-lib/i686-pc-cygwin/3.2/../../../../i686-pc-cygwin/bin/ld: final
> lin
> k failed: File truncated
> collect2: ld returned 1 exit status

 it seems that -lm is the culprit.  Leave it off, and it seems to
 work.

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond - The music typesetter
http://www.xs4all.nl/~jantien       | http://www.lilypond.org

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/